### Method

# ICalGLib VcardStructured set_field_at

since: 4.0

#### Declaration [src]

    void
    i_cal_vcard_structured_set_field_at (
      ICalVcardStructured* self,
      guint position,
      const ICalVcardStrArray* field
    )

#### Description [src]

Sets the `self` `position` field to `field`. If `position` is beyond the current number of fields, the number of fields is extended to accommodate it. Any existing field at `position` is freed before being replaced.

Available since: 4.0

#### Parameters

`position`

  Type: `guint`

  The zero-based index of the field to set.

`field`

  Type: `const ICalVcardStrArray`

  An `ICalVcardStrArray`.

  The data is owned by the caller of the method.